---
title: "Get image from publication data for a real estate object"
slug: "get-image-from-publication-data-for-a-real-estate-object-1"
updated: 2025-06-06T20:02:03Z
published: 2026-02-10T10:39:15Z
---

> ## Documentation Index
> Fetch the complete documentation index at: https://www.bloxs.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get image from publication data for a real estate object

Get/api/v1/realestateobjects/publish/object/image

Get image from publication data for an existing real estate object. ImageId must have a value. Either reference or externalIdentifier must have a value. If both are given, both are used for retrieving the image.

		
			

**Description**

Retrieve a specific picture belonging to a published real estate object. The imageId can be retrieved by using endpoint [PublicationData/GET endpoint](https://www.bloxs.io/apidocs/get-publication-data-for-a-real-estate-object-1). Pictures need to retrieved one-by-one because of the size. This endpoint will return the actual picture.

Both the 'reference' and the 'externalIdentifier' can be used to identify the object which needs to be overwritten. Preferably only the reference is used. If this is not available, the externalIdentifier can be used. If both properties are used it is important that both are correct and match with the same entity (object). If this is not the case, the request will return with an error code and the published data will not be overwritten.

**Use Case**

The Bloxs user wants to see the actual pictures which are currently published for a specific real estate objects.

**Request fields**

The request contains the following fields:

| Field | Description |
| --- | --- |
| reference | The reference of the real estate object from which the published data needs to be retrieved. This reference is generated by Bloxs. |
| externalIdentifier | The unique identifier within the system of the requesting party. This identifier is not generated by the Bloxs system. |
| imageId | The unique identifier of the image. This ID is generated by Bloxs. |

		
		
SecurityHTTPType Bearer

Please enter a valid token

Query parametersreferencestring

The internal identifier of the model (i.e. Reference, Code, Name, depends on model).

externalIdentifierstring

The external API identifier of the model.

imageIdinteger (int64) 

Responses200

OK

<select class='api-response-data' aria-label='Media type'><option value='9875ab2c-59c3-43ac-8b76-94aa0e365c16'>application/json</option>
</select>string  (byte)    

404

The requested image is not found. It may be removed, deleted or it does not belong to the Object
